cURL
curl "https://apiv3.usecorvex.com.br/api/v1/products/22222222-2222-4222-8222-222222222222" \
-H "Authorization: Bearer cvx_live_YOUR_API_KEY" \
-H "X-Store-Id: 11111111-1111-4111-8111-111111111111"const options = {
method: 'GET',
headers: {'X-Store-Id': '<x-store-id>', Authorization: 'Bearer <token>'}
};
fetch('https://apiv3.usecorvex.com.br/api/v1/products/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://apiv3.usecorvex.com.br/api/v1/products/{productId}"
headers = {
"X-Store-Id": "<x-store-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": {
"product": {
"id": "22222222-2222-4222-8222-222222222222",
"storeId": "11111111-1111-4111-8111-111111111111",
"name": "Camiseta Preta",
"slug": "camiseta-preta",
"type": "PHYSICAL",
"status": "PUBLISHED",
"price": 99.9,
"discountedPrice": 79.9,
"costPrice": 40,
"currency": "BRL",
"media": {
"images": [
"https://cdn.example.com/camiseta-preta.png"
],
"videos": [],
"documents": []
},
"stock": 10,
"sku": "CAM-PRETA",
"barcode": null,
"description": "Camiseta de algodão.",
"shortDescription": null,
"logistics": {
"height": 2,
"width": 20,
"length": 30,
"weight": 0.2
},
"featured": false,
"createdAt": "2026-09-01T12:00:00.000Z",
"updatedAt": "2026-09-10T15:30:00.000Z",
"variants": [
{
"id": "33333333-3333-4333-8333-333333333333",
"title": "P / Preto",
"sku": "CAM-PRETA-P",
"price": 99.9,
"stock": 4,
"status": "ACTIVE"
}
]
}
}
}{
"success": false,
"error": {
"message": "X-Store-Id deve ser um UUID válido",
"code": "VALIDATION_ERROR"
},
"meta": {
"timestamp": "2026-09-24T14:00:00.000Z",
"status": 400
}
}{
"success": false,
"error": {
"message": "Esta rota exige uma API Key. Use Authorization: Bearer cvx_live_...",
"code": "AUTH_API_KEY_REQUIRED"
},
"meta": {
"timestamp": "2026-09-24T14:00:00.000Z",
"status": 401
}
}{
"success": false,
"error": {
"message": "Sua API Key não tem o escopo necessário para esta operação.",
"code": "AUTH_SCOPE_DENIED"
},
"meta": {
"timestamp": "2026-09-24T14:00:00.000Z",
"status": 403
}
}{
"success": false,
"error": {
"message": "Produto não encontrado",
"code": "RESOURCE_NOT_FOUND"
},
"meta": {
"timestamp": "2026-09-24T14:00:00.000Z",
"status": 404
}
}{
"success": false,
"message": "Muitas requisições. Tente novamente em instantes.",
"error": "RATE_LIMITED",
"retryAfter": 12
}Produtos
Obter produto
Retorna o produto e um resumo das variantes (até 250). Se o id não pertencer a esta loja, responde 404.
GET
/
api
/
v1
/
products
/
{productId}
cURL
curl "https://apiv3.usecorvex.com.br/api/v1/products/22222222-2222-4222-8222-222222222222" \
-H "Authorization: Bearer cvx_live_YOUR_API_KEY" \
-H "X-Store-Id: 11111111-1111-4111-8111-111111111111"const options = {
method: 'GET',
headers: {'X-Store-Id': '<x-store-id>', Authorization: 'Bearer <token>'}
};
fetch('https://apiv3.usecorvex.com.br/api/v1/products/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://apiv3.usecorvex.com.br/api/v1/products/{productId}"
headers = {
"X-Store-Id": "<x-store-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": {
"product": {
"id": "22222222-2222-4222-8222-222222222222",
"storeId": "11111111-1111-4111-8111-111111111111",
"name": "Camiseta Preta",
"slug": "camiseta-preta",
"type": "PHYSICAL",
"status": "PUBLISHED",
"price": 99.9,
"discountedPrice": 79.9,
"costPrice": 40,
"currency": "BRL",
"media": {
"images": [
"https://cdn.example.com/camiseta-preta.png"
],
"videos": [],
"documents": []
},
"stock": 10,
"sku": "CAM-PRETA",
"barcode": null,
"description": "Camiseta de algodão.",
"shortDescription": null,
"logistics": {
"height": 2,
"width": 20,
"length": 30,
"weight": 0.2
},
"featured": false,
"createdAt": "2026-09-01T12:00:00.000Z",
"updatedAt": "2026-09-10T15:30:00.000Z",
"variants": [
{
"id": "33333333-3333-4333-8333-333333333333",
"title": "P / Preto",
"sku": "CAM-PRETA-P",
"price": 99.9,
"stock": 4,
"status": "ACTIVE"
}
]
}
}
}{
"success": false,
"error": {
"message": "X-Store-Id deve ser um UUID válido",
"code": "VALIDATION_ERROR"
},
"meta": {
"timestamp": "2026-09-24T14:00:00.000Z",
"status": 400
}
}{
"success": false,
"error": {
"message": "Esta rota exige uma API Key. Use Authorization: Bearer cvx_live_...",
"code": "AUTH_API_KEY_REQUIRED"
},
"meta": {
"timestamp": "2026-09-24T14:00:00.000Z",
"status": 401
}
}{
"success": false,
"error": {
"message": "Sua API Key não tem o escopo necessário para esta operação.",
"code": "AUTH_SCOPE_DENIED"
},
"meta": {
"timestamp": "2026-09-24T14:00:00.000Z",
"status": 403
}
}{
"success": false,
"error": {
"message": "Produto não encontrado",
"code": "RESOURCE_NOT_FOUND"
},
"meta": {
"timestamp": "2026-09-24T14:00:00.000Z",
"status": 404
}
}{
"success": false,
"message": "Muitas requisições. Tente novamente em instantes.",
"error": "RATE_LIMITED",
"retryAfter": 12
}Authorizations
API Key no formato cvx_live_..., criada no painel Corvex. Não use JWT de sessão nem x-api-key.
Headers
UUID da loja. A chave precisa ter esta loja autorizada.
Path Parameters
UUID do produto.